package me.km.entities;

import net.minecraft.client.renderer.entity.model.PlayerModel;

public class ModelHuman extends PlayerModel<EntityHuman> {
    public ModelHuman(float modelSize, boolean smallArmsIn) {
        super(modelSize, smallArmsIn);
    }

    @Override
    public void setRotationAngles(EntityHuman h, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch) {
        super.setRotationAngles(h, limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch);
        if(h.isStatue()) {
            bipedLeftArm.rotateAngleX = 0.0f;
            bipedLeftArm.rotateAngleY = 0.0f;
            bipedLeftArm.rotateAngleZ = 0.0f;
            bipedRightArm.rotateAngleX = 0.0f;
            bipedRightArm.rotateAngleY = 0.0f;
            bipedRightArm.rotateAngleZ = 0.0f;
            
            bipedLeftArmwear.rotateAngleX = 0.0f;
            bipedLeftArmwear.rotateAngleY = 0.0f;
            bipedLeftArmwear.rotateAngleZ = 0.0f;
            bipedRightArmwear.rotateAngleX = 0.0f;
            bipedRightArmwear.rotateAngleY = 0.0f;
            bipedRightArmwear.rotateAngleZ = 0.0f;
        }
    }
}
